### Hierarchy

- RpcToken
  - RpcEncryptMessage

## Index

### Constructors

- constructor

### Properties

- accessToken
- message
- recipientPk

### Methods

- getAccessTokenSig
- getClearAccessToken

## Constructors

### constructor

- new RpcEncryptMessage(accessToken: string, recipientPk: string, message: string): RpcEncryptMessage

- Overrides RpcToken.constructor

  - Defined in utils/keypair/rpc/RpcEncryptMessage.ts:6

  #### Parameters

  - ##### accessToken: string

  - ##### recipientPk: string

  - ##### message: string

  #### Returns RpcEncryptMessage

## Properties

### accessToken

accessToken: string

Inherited from RpcToken.accessToken

- Defined in utils/keypair/rpc/RpcToken.ts:3

### message

message: string

- Defined in utils/keypair/rpc/RpcEncryptMessage.ts:6

### recipientPk

recipientPk: string

- Defined in utils/keypair/rpc/RpcEncryptMessage.ts:5

## Methods

### getAccessTokenSig

- getAccessTokenSig(): string

- Inherited from RpcToken.getAccessTokenSig

  - Defined in utils/keypair/rpc/RpcToken.ts:9

  #### Returns string

### getClearAccessToken

- getClearAccessToken(): string

- Inherited from RpcToken.getClearAccessToken

  - Defined in utils/keypair/rpc/RpcToken.ts:13

  #### Returns string

Generated using TypeDoc